summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-01-22 10:27:26 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-28 08:22:58 +0700
commit4294db7d5cffff9769ccb6eaab47721aac9db0f8 (patch)
tree25f709bcb9a4e25ef6f65a2f26e6e91513ddc3ce /games
parentb00acc5f920abe0b9e92d587343d12099185ddcf (diff)
downloadslackbuilds-4294db7d5cffff9769ccb6eaab47721aac9db0f8.tar.gz
slackbuilds-4294db7d5cffff9769ccb6eaab47721aac9db0f8.tar.xz
games/jg-cega: Added (Sega emulation core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/jg-cega/README11
-rw-r--r--games/jg-cega/jg-cega.SlackBuild80
-rw-r--r--games/jg-cega/jg-cega.info10
-rw-r--r--games/jg-cega/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/games/jg-cega/README b/games/jg-cega/README
new file mode 100644
index 0000000000..c138e9b0ac
--- /dev/null
+++ b/games/jg-cega/README
@@ -0,0 +1,11 @@
+jg-cega (Sega emulation core for Jolly Good Emulation)
+
+Cega is a cycle accurate emulator for the Sega SG-1000, Master System,
+and Game Gear written specifically for The Jolly Good API. Mega Drive
+emulation is in an experimental state.
+
+Filenames supported: .gg .sg .sms
+To run files with other extensions: jollygood -c cega <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-cega/jg-cega.SlackBuild b/games/jg-cega/jg-cega.SlackBuild
new file mode 100644
index 0000000000..664ae30fd1
--- /dev/null
+++ b/games/jg-cega/jg-cega.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-cega
+SRCNAM=cega
+VERSION=${VERSION:-0.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-cega/jg-cega.info b/games/jg-cega/jg-cega.info
new file mode 100644
index 0000000000..f2de52a5ff
--- /dev/null
+++ b/games/jg-cega/jg-cega.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-cega"
+VERSION="0.5.2"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/cega/-/archive/0.5.2/cega-0.5.2.tar.gz"
+MD5SUM="351b388101b7b96288270e0f412c1415"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-cega/slack-desc b/games/jg-cega/slack-desc
new file mode 100644
index 0000000000..fb2262abdb
--- /dev/null
+++ b/games/jg-cega/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-cega: jg-cega (Sega emulation core for Jolly Good Emulation)
+jg-cega:
+jg-cega: Cega is a cycle accurate emulator for the Sega SG-1000, Master System,
+jg-cega: and Game Gear written specifically for The Jolly Good API. Mega Drive
+jg-cega: emulation is in an experimental state.
+jg-cega:
+jg-cega:
+jg-cega:
+jg-cega:
+jg-cega:
+jg-cega: